Subject: Problème de fin de cresc

From: [email-masked]
Date: Sun, 20 Mar 2011 06:16:59 +0100

Bonjour,
J’ai eu un problème avec une fin de cresc : j’ai obtenu le diagnostique
suivant :
Erreur : syntax error, unexpected \!
r4 \times 4/7 { a,16\<( e' d f e a g}
                                      \! b4) f\p( d d) f2 d4
J’ai eu du mal à trouver où était l’erreur et je me suis aperçu que le
signe de fin du crescendo  \!
n’était pas compris s’il était placé après le }
Je vous joins des exemples minimaux qui illustrent ce problème et une
manière d’y remédier.
Le fichier essaibad ne peut être compilé et conduit au diganostique indiqué.
 Par contre, tout se passe bien en déplaçant le signe \! avant le } comme
dans essaigood, ou après b4) comme dans essaistillgood.
 Il m’a semblé que le problème méritait d’être mentionné. Si ce n’est pas
le cas, veuillez m’excuser de vous avoir fait perdre du temps.
 Je précise que je travaille avec MAC OSX version 10.4.11
La version de lilypond est 2.13.50
 Bien amicalement
 Jean-Claude

Voici les fichiers .ly
essaibad.ly

\version "2.13.48"
cello = \relative c {\clef bass \key c \major \time 3/4  e\< r f r g r \! 
c4\<( d b) d( b d) \!
r4 \times 4/7 { a,16\<( e' d f e a g} \! b4) f\p( d d) f2 d4
}
\score
{
<<
 \new Staff {\set Staff.instrumentName = \markup { "Violoncelle" }
             \set Staff.shortInstrumentName = #"Vcl" \cello }
}

essaigood.ly

\version "2.13.48"
cello = \relative c {\clef bass \key c \major \time 3/4  e\< r f r g r \! 
c4\<( d b) d( b d) \!
r4 \times 4/7 { a,16\<( e' d f e a g \! } b4) f\p( d d) f2 d4
}
\score
{
<<
 \new Staff {\set Staff.instrumentName = \markup { "Violoncelle" }
             \set Staff.shortInstrumentName = #"Vcl" \cello }
}

essaistillgood.ly

\version "2.13.48"
cello = \relative c {\clef bass \key c \major \time 3/4  e\< r f r g r \! 
c4\<( d b) d( b d) \!
r4 \times 4/7 { a,16\<( e' d f e a g} b4) \! f\p( d d) f2 d4
}
\score
{
<<
 \new Staff {\set Staff.instrumentName = \markup { "Violoncelle" }
             \set Staff.shortInstrumentName = #"Vcl" \cello }
}